Bug 1763433 (rust-chunked_transfer) - Review Request: rust-chunked_transfer - Encoder and decoder for HTTP chunked transfer coding
Summary: Review Request: rust-chunked_transfer - Encoder and decoder for HTTP chunked ...
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-chunked_transfer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-19 19:34 UTC by Robert-André Mauchin 🐧
Modified: 2019-12-13 18:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 18:33:31 UTC
Type: ---
igor.raits: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-10-19 19:34:29 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/rust-chunked_transfer.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/rust-chunked_transfer-1.0.0-1.fc32.src.rpm

Description:
Encoder and decoder for HTTP chunked transfer coding (RFC 7230 § 4.1).

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 🐧 2019-10-19 19:39:05 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=38399820

Comment 2 Igor Raits 2019-10-21 12:43:36 UTC
Please fix summary :)

Comment 3 J. Scheurich 2019-10-23 11:52:30 UTC
$ rpmbuild -ba rust-chunked_transfer.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.xkcR3c
+ umask 022
+ cd /home/mufti/rpmbuild/BUILD
+ cd /home/mufti/rpmbuild/BUILD
+ rm -rf chunked_transfer-1.0.0
+ /usr/bin/gzip -dc /home/mufti/rpmbuild/SOURCES/chunked_transfer-1.0.0.crate
+ /usr/bin/tar -xof -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd chunked_transfer-1.0.0
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ set -eu
+ /usr/bin/mkdir -p .cargo
+ cat
+ /usr/bin/rm -f Cargo.lock
+ %generate_buildrequires
/var/tmp/rpm-tmp.xkcR3c: line 71: fg: no job control
error: Bad exit status from /var/tmp/rpm-tmp.xkcR3c (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.xkcR3c (%prep)

Comment 4 J. Scheurich 2019-10-23 12:19:19 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "*No
     copyright* Apache License (v2.0)", "Apache License (v2.0)". 5 files
     have unknown license. Detailed output of licensecheck in
     /home/mufti/review-rust-chunked_transfer/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[!]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     chunked_transfer-devel , rust-chunked_transfer+default-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-chunked_transfer-devel-1.0.0-1.fc32.noarch.rpm
          rust-chunked_transfer+default-devel-1.0.0-1.fc32.noarch.rpm
          rust-chunked_transfer-1.0.0-1.fc32.src.rpm
rust-chunked_transfer-devel.noarch: W: spelling-error Summary(en_US) chunked -> chinked, clunked, chucked
rust-chunked_transfer-devel.noarch: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
rust-chunked_transfer-devel.noarch: W: invalid-url URL: https://crates.io/crates/chunked_transfer HTTP Error 404: Not Found
rust-chunked_transfer-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/chunked_transfer-1.0.0/.cargo-checksum.json
rust-chunked_transfer+default-devel.noarch: W: spelling-error Summary(en_US) chunked -> chinked, clunked, chucked
rust-chunked_transfer+default-devel.noarch: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
rust-chunked_transfer+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/chunked_transfer HTTP Error 404: Not Found
rust-chunked_transfer+default-devel.noarch: W: no-documentation
rust-chunked_transfer.src: W: spelling-error Summary(en_US) chunked -> chinked, clunked, chucked
rust-chunked_transfer.src: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
rust-chunked_transfer.src: W: invalid-url URL: https://crates.io/crates/chunked_transfer HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
rust-chunked_transfer+default-devel.noarch: W: spelling-error Summary(en_US) chunked -> chinked, clunked, chucked
rust-chunked_transfer+default-devel.noarch: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
rust-chunked_transfer+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/chunked_transfer <urlopen error [Errno -2] Name or service not known>
rust-chunked_transfer+default-devel.noarch: W: no-documentation
rust-chunked_transfer-devel.noarch: W: spelling-error Summary(en_US) chunked -> chinked, clunked, chucked
rust-chunked_transfer-devel.noarch: W: spelling-error %description -l en_US chunked -> chinked, clunked, chucked
rust-chunked_transfer-devel.noarch: W: invalid-url URL: https://crates.io/crates/chunked_transfer <urlopen error [Errno -2] Name or service not known>
rust-chunked_transfer-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/chunked_transfer-1.0.0/.cargo-checksum.json
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/chunked_transfer/1.0.0/download#/chunked_transfer-1.0.0.crate :
  CHECKSUM(SHA256) this package     : f98beb6554de08a14bd7b5c6014963c79d6a25a1c66b1d4ecb9e733ccba51d6c
  CHECKSUM(SHA256) upstream package : f98beb6554de08a14bd7b5c6014963c79d6a25a1c66b1d4ecb9e733ccba51d6c


Requires
--------
rust-chunked_transfer-devel (rpmlib, GLIBC filtered):
    cargo

rust-chunked_transfer+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(chunked_transfer)



Provides
--------
rust-chunked_transfer-devel:
    crate(chunked_transfer)
    rust-chunked_transfer-devel

rust-chunked_transfer+default-devel:
    crate(chunked_transfer/default)
    rust-chunked_transfer+default-devel



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/bin/fedora-review -n rust-chunked_transfer -DEXARCH
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Shell-api, Generic
Disabled plugins: fonts, PHP, C/C++, Python, Perl, R, Haskell, SugarActivity, Ocaml, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH

Comment 6 Igor Raits 2019-12-13 18:26:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-chunked_transfer


Note You need to log in before you can comment on or make changes to this bug.